hledger-lib-1.30: A reusable library providing the core functionality of hledger

Safe Haskell | Safe-Inferred
Language | Haskell2010

Hledger.Reports.EntriesReport

Contents

- Tests

Description

Journal entries report, used by the print command.

Synopsis

- type EntriesReport = [EntriesReportItem]
- type EntriesReportItem = Transaction
- entriesReport :: ReportSpec -> Journal -> EntriesReport
- tests_EntriesReport :: TestTree

# Documentation

type EntriesReport = [EntriesReportItem] Source #

A journal entries report is a list of whole transactions as originally entered in the journal (mostly). This is used by eg hledger's print command and hledger-web's journal entries view.

type EntriesReportItem = Transaction Source #

entriesReport :: ReportSpec -> Journal -> EntriesReport Source #

Select transactions for an entries report.

# Tests

tests_EntriesReport :: TestTree Source #